//<createSubsystemRequirementsSpecification.inc>

/*
    IBMPractices/SE Template Insantiation - Create Supporting Subsystem Requirements Specification
    
    Version: 1.0
    Author:  GSR   Based upon "createSystemRequirementsSpecification.inc"


const string templateType = "Subsystem Requirements Specification"
const string templateName = "SubsystemRequirementsSpecification.dma"
const string templatePath = "/Subsystems Data"
const string templateLM1 = "/Admin/satisfies"
const string templateTgt1 = "/Requirements/System Requirements Specification"
const string templateLM2 = "/Admin/traces"
const string templateTgt2 = "/Analysis and Design/System Architectural Model"

#include <project/IBMPracticesSE/createDocs/createDocs.inc>

f = folder("/" projectName templatePath)
current = folder "/" projectName
string modFullName = "/" projectName templatePath "/" templateInstanceName
string tgtFullName = "/" projectName templateTgt1
string LMFullName = "/" projectName templateLM1

addLinkModuleDescriptor(f, modFullName, tgtFullName, false, LMFullName, "")

LMFullName = "/" projectName templateLM2
tgtFullName = "/" projectName templateTgt2

addLinkModuleDescriptor(f, modFullName, tgtFullName, false, LMFullName, "")


LinkModuleDescriptor lmd
for lmd in f do {
	if ( !getMandatory(lmd) ){
              setMandatory (lmd, true)
        }
}

edit(modFullName, true)*/

const string templateType = "Subsystem Requirements Specification"
const string templatePath = "/Admin/Module Templates"
const string templateTgt = templatePath "/Subsystem Requirements Specification Template"
const string templateName = "Subsystem Requirements Specification Template"
const string templateTgtPath = "/Subsystems Data"

#include <project/IBMPracticesSE/createDocs/createDocs.inc>

string modFullName = "/" projectName templateTgtPath "/" templateInstanceName

if(canCreate)
	edit(modFullName, true)
